Bug 176269

Summary: editors/libreoffice 3.6.5_2 does not start on i386
Product: Ports & Packages Reporter: rotkap
Component: Individual Port(s)Assignee: FreeBSD Office Team <office>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description rotkap 2013-02-19 17:10:00 UTC
After a successfull build I canot start libreoffice-3.6.5_2

The splash screen appears  - and then disappears

libreoffice-3.6.5_1 is fine!


I use it with language pack de-libreoffice-3.6.5


On a command line a cannot see anything usefull when I call "libreoffice"

there is just nothing an the it returns to the shell

How-To-Repeat: just call libreoffice (3.6.5_2 - german) on i386.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-02-19 21:42:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Fix synopsis and assign.
Comment 2 Mikhail T. 2013-02-19 23:43:46 UTC
Heino, the office team are likely to need to know the compiler you used (clang 
or gcc), the compiler flags, and the options you picked.

It may also help greatly, if you could provide the crash stack -- it is very 
likely, that after a failure to start, a file soffice.bin.core is left in the 
current directory. Could you load it into gdb:

    % echo where | gdb /usr/local/lib/libreoffice/soffice.bin soffice.bin.core
    ......
    (gdb) where

and share the output? Thanks!

    -mi
Comment 3 rotkap 2013-02-20 15:00:24 UTC
"Mikhail T." <mi+thun@aldan.algebra.com> wrote:

> Heino, the office team are likely to need to know the compiler you
> used (clang or gcc), the compiler flags, and the options you picked.

I cannot see that I choosed any compiler (make config in
editors/libreoffice)


So it must be the default.


,----[ /etc/makce.conf ]
| CUPS_OVERWRITE_BASE=yes	
| NO_LPR=yes	
| WITH_CUPS=yes	
| WITH_OPENSSL_BASE=yes
| 
| OVERRIDE_LINUX_BASE_PORT=f10
| OVERRIDE_LINUX_NONBASE_PORTS=f10
| 
| WITH_PKGNG=yes
| # added by use.perl 2012-11-19 19:49:52
| PERL_VERSION=5.16.2
`----

> It may also help greatly, if you could provide the crash stack -- it
> is very likely, that after a failure to start, a file soffice.bin.core
> is left in the current directory. Could you load it into gdb:
>
>     % echo where | gdb /usr/local/lib/libreoffice/soffice.bin
>     soffice.bin.core
>     ......
>     (gdb) where
> and share the output? Thanks!

% echo where | gdb /usr/local/lib/libreoffice/program/soffice.bin soffice.bin.core
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd"...(no debugging symbols found)...
Core was generated by `soffice.bin'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/local/lib/libreoffice/program/libmergedlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libmergedlo.so
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_sal.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_sal.so.3
Reading symbols from /usr/lib/libstdc++.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libm.so.5...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.5
Reading symbols from /lib/libc.so.7...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.7
Reading symbols from /usr/local/lib/libicuuc.so.50...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libicuuc.so.50
Reading symbols from /usr/local/lib/libjpeg.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libjpeg.so.11
Reading symbols from /usr/local/lib/libxml2.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxml2.so.5
Reading symbols from /lib/libz.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.6
Reading symbols from /usr/local/lib/libdb41.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libdb41.so.1
Reading symbols from /usr/local/lib/libreoffice/program/libbasegfxlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libbasegfxlo.so
Reading symbols from /usr/local/lib/libreoffice/program/libcomphelpgcc3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libcomphelpgcc3.so
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_cppu.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_cppu.so.3
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
Reading symbols from /usr/local/lib/libreoffice/program/libi18nisolang1gcc3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libi18nisolang1gcc3.so
Reading symbols from /usr/local/lib/libreoffice/program/libi18nutilgcc3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libi18nutilgcc3.so
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libjvmfwk.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libjvmfwk.so.3
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_salhelpergcc3.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_salhelpergcc3.so.3
Reading symbols from /usr/local/lib/libreoffice/program/libsaxlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libsaxlo.so
Reading symbols from /usr/local/lib/libreoffice/program/libsotlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libsotlo.so
Reading symbols from /usr/local/lib/libreoffice/program/libsvllo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libsvllo.so
Reading symbols from /usr/local/lib/libreoffice/program/libtllo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libtllo.so
Reading symbols from /usr/local/lib/libreoffice/program/libucbhelper4gcc3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libucbhelper4gcc3.so
Reading symbols from /usr/local/lib/libreoffice/program/libutllo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libutllo.so
Reading symbols from /usr/local/lib/libreoffice/program/libvcllo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libvcllo.so
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libxmlreader.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libxmlreader.so
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libthr.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libthr.so.3
Reading symbols from /usr/local/lib/libicudata.so.50...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libicudata.so.50
Reading symbols from /usr/local/lib/libiconv.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libiconv.so.3
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libreg.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libreg.so.3
Reading symbols from /usr/local/lib/libicule.so.50...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libicule.so.50
Reading symbols from /usr/local/lib/liblcms2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/liblcms2.so.2
Reading symbols from /usr/local/lib/libgraphite2.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgraphite2.so.3
Reading symbols from /usr/local/lib/libcairo.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libcairo.so.2
Reading symbols from /usr/local/lib/libfontconfig.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libfontconfig.so.1
Reading symbols from /usr/local/lib/libfreetype.so.9...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libfreetype.so.9
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libjvmaccessgcc3.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libjvmaccessgcc3.so.3
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libstore.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libstore.so.3
Reading symbols from /usr/local/lib/libpixman-1.so.9...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpixman-1.so.9
Reading symbols from /usr/local/lib/libexpat.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libexpat.so.6
Reading symbols from /usr/lib/libbz2.so.4...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libbz2.so.4
Reading symbols from /usr/local/lib/libpng15.so.15...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpng15.so.15
Reading symbols from /usr/local/lib/libxcb-shm.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-shm.so.0
Reading symbols from /usr/local/lib/libxcb-render.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-render.so.0
Reading symbols from /usr/local/lib/libXrender.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXrender.so.1
Reading symbols from /usr/local/lib/libX11.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libX11.so.6
Reading symbols from /usr/local/lib/libxcb.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb.so.2
Reading symbols from /usr/local/lib/libXau.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXau.so.6
Reading symbols from /usr/local/lib/libXdmcp.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXdmcp.so.6
Reading symbols from /usr/local/lib/libpthread-stubs.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpthread-stubs.so.0
Reading symbols from /usr/lib/librpcsvc.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/librpcsvc.so.5
Reading symbols from /usr/lib/libsupc++.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsupc++.so.1
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libsal_textenc.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libsal_textenc.so
Reading symbols from /usr/local/lib/libreoffice/program/libvclplug_gtklo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libvclplug_gtklo.so
Reading symbols from /usr/local/lib/libgtk-x11-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgtk-x11-2.0.so.0
Reading symbols from /usr/local/lib/libgdk-x11-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk-x11-2.0.so.0
Reading symbols from /usr/local/lib/libpangocairo-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpangocairo-1.0.so.0
Reading symbols from /usr/local/lib/libXext.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXext.so.6
Reading symbols from /usr/local/lib/libXinerama.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXinerama.so.1
Reading symbols from /usr/local/lib/libXi.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXi.so.6
Reading symbols from /usr/local/lib/libXrandr.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXrandr.so.2
Reading symbols from /usr/local/lib/libXcursor.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXcursor.so.1
Reading symbols from /usr/local/lib/libXcomposite.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXcomposite.so.1
Reading symbols from /usr/local/lib/libXdamage.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXdamage.so.1
Reading symbols from /usr/local/lib/libXfixes.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXfixes.so.3
Reading symbols from /usr/local/lib/libatk-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libatk-1.0.so.0
Reading symbols from /usr/local/lib/libgio-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgio-2.0.so.0
Reading symbols from /usr/local/lib/libpangoft2-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpangoft2-1.0.so.0
Reading symbols from /usr/local/lib/libpango-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpango-1.0.so.0
Reading symbols from /usr/local/lib/libgdk_pixbuf_xlib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk_pixbuf_xlib-2.0.so.0
Reading symbols from /usr/local/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgmodule-2.0.so.0
Reading symbols from /usr/local/lib/libgdk_pixbuf-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/local/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgobject-2.0.so.0
Reading symbols from /usr/local/lib/libgthread-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgthread-2.0.so.0
Reading symbols from /usr/local/lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libglib-2.0.so.0
Reading symbols from /usr/local/lib/libreoffice/program/libvclplug_genlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libvclplug_genlo.so
Reading symbols from /usr/local/lib/libSM.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libSM.so.6
Reading symbols from /usr/local/lib/libICE.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libICE.so.6
Reading symbols from /usr/local/lib/libintl.so.9...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libintl.so.9
Reading symbols from /usr/local/lib/compat/pkg/libpcre.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/compat/pkg/libpcre.so.1
Reading symbols from /usr/local/lib/compat/pkg/libpcre.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/compat/pkg/libpcre.so.0
Reading symbols from /usr/local/lib/libpcre.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpcre.so.3
Reading symbols from /libexec/ld-elf.so.1...(no debugging symbols found)...done.
Loaded symbols for /libexec/ld-elf.so.1
#0  0x2e4b7f98 in XFree@plt () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
[New Thread 2d404f00 (LWP 101229/soffice.bin)]
[New Thread 2d404300 (LWP 100508/soffice.bin)]
(gdb) Hangup detected on fd 0
error detected on stdin


Heino
Comment 4 Mikhail T. 2013-02-20 15:07:15 UTC
Thank you. So you must've used the clang compiler. As for options, the
port asked you for some port-specific ones, the result is now in
/var/db/ports/libreoffice/options -- you can just cat that file.

For gdb I gave you incorrect instructions. You should load the core into
the debugger:

    gdb /usr/local/lib/libreoffice/program/soffice.bin soffice.bin.core

and then, on gdb's prompt, type:

    where

Thanks! Yours,

    -mi
Comment 5 rotkap 2013-02-20 15:27:20 UTC
"Mikhail T." <mi+thun@aldan.algebra.com> wrote:

> Thank you. So you must've used the clang compiler. As for options, the
> port asked you for some port-specific ones, the result is now in
> /var/db/ports/libreoffice/options -- you can just cat that file.
>
> For gdb I gave you incorrect instructions. You should load the core into
> the debugger:
>
>     gdb /usr/local/lib/libreoffice/program/soffice.bin soffice.bin.core
>
> and then, on gdb's prompt, type:
>
>     where
>
> Thanks! Yours,
>
>     -mi


% gdb /usr/local/lib/libreoffice/program/soffice.bin soffice.bin.core
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd"...(no debugging symbols found)...
Core was generated by `soffice.bin'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/local/lib/libreoffice/program/libmergedlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libmergedlo.so
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_sal.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_sal.so.3
Reading symbols from /usr/lib/libstdc++.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libm.so.5...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.5
Reading symbols from /lib/libc.so.7...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.7
Reading symbols from /usr/local/lib/libicuuc.so.50...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libicuuc.so.50
Reading symbols from /usr/local/lib/libjpeg.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libjpeg.so.11
Reading symbols from /usr/local/lib/libxml2.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxml2.so.5
Reading symbols from /lib/libz.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.6
Reading symbols from /usr/local/lib/libdb41.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libdb41.so.1
Reading symbols from /usr/local/lib/libreoffice/program/libbasegfxlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libbasegfxlo.so
Reading symbols from /usr/local/lib/libreoffice/program/libcomphelpgcc3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libcomphelpgcc3.so
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_cppu.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_cppu.so.3
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
Reading symbols from /usr/local/lib/libreoffice/program/libi18nisolang1gcc3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libi18nisolang1gcc3.so
Reading symbols from /usr/local/lib/libreoffice/program/libi18nutilgcc3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libi18nutilgcc3.so
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libjvmfwk.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libjvmfwk.so.3
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_salhelpergcc3.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libuno_salhelpergcc3.so.3
Reading symbols from /usr/local/lib/libreoffice/program/libsaxlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libsaxlo.so
Reading symbols from /usr/local/lib/libreoffice/program/libsotlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libsotlo.so
Reading symbols from /usr/local/lib/libreoffice/program/libsvllo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libsvllo.so
Reading symbols from /usr/local/lib/libreoffice/program/libtllo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libtllo.so
Reading symbols from /usr/local/lib/libreoffice/program/libucbhelper4gcc3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libucbhelper4gcc3.so
Reading symbols from /usr/local/lib/libreoffice/program/libutllo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libutllo.so
Reading symbols from /usr/local/lib/libreoffice/program/libvcllo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libvcllo.so
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libxmlreader.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libxmlreader.so
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libthr.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libthr.so.3
Reading symbols from /usr/local/lib/libicudata.so.50...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libicudata.so.50
Reading symbols from /usr/local/lib/libiconv.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libiconv.so.3
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libreg.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libreg.so.3
Reading symbols from /usr/local/lib/libicule.so.50...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libicule.so.50
Reading symbols from /usr/local/lib/liblcms2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/liblcms2.so.2
Reading symbols from /usr/local/lib/libgraphite2.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgraphite2.so.3
Reading symbols from /usr/local/lib/libcairo.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libcairo.so.2
Reading symbols from /usr/local/lib/libfontconfig.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libfontconfig.so.1
Reading symbols from /usr/local/lib/libfreetype.so.9...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libfreetype.so.9
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libjvmaccessgcc3.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libjvmaccessgcc3.so.3
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libstore.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libstore.so.3
Reading symbols from /usr/local/lib/libpixman-1.so.9...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpixman-1.so.9
Reading symbols from /usr/local/lib/libexpat.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libexpat.so.6
Reading symbols from /usr/lib/libbz2.so.4...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libbz2.so.4
Reading symbols from /usr/local/lib/libpng15.so.15...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpng15.so.15
Reading symbols from /usr/local/lib/libxcb-shm.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-shm.so.0
Reading symbols from /usr/local/lib/libxcb-render.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-render.so.0
Reading symbols from /usr/local/lib/libXrender.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXrender.so.1
Reading symbols from /usr/local/lib/libX11.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libX11.so.6
Reading symbols from /usr/local/lib/libxcb.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb.so.2
Reading symbols from /usr/local/lib/libXau.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXau.so.6
Reading symbols from /usr/local/lib/libXdmcp.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXdmcp.so.6
Reading symbols from /usr/local/lib/libpthread-stubs.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpthread-stubs.so.0
Reading symbols from /usr/lib/librpcsvc.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/librpcsvc.so.5
Reading symbols from /usr/lib/libsupc++.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsupc++.so.1
Reading symbols from /usr/local/lib/libreoffice/program/../ure-link/lib/libsal_textenc.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/../ure-link/lib/libsal_textenc.so
Reading symbols from /usr/local/lib/libreoffice/program/libvclplug_gtklo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libvclplug_gtklo.so
Reading symbols from /usr/local/lib/libgtk-x11-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgtk-x11-2.0.so.0
Reading symbols from /usr/local/lib/libgdk-x11-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk-x11-2.0.so.0
Reading symbols from /usr/local/lib/libpangocairo-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpangocairo-1.0.so.0
Reading symbols from /usr/local/lib/libXext.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXext.so.6
Reading symbols from /usr/local/lib/libXinerama.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXinerama.so.1
Reading symbols from /usr/local/lib/libXi.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXi.so.6
Reading symbols from /usr/local/lib/libXrandr.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXrandr.so.2
Reading symbols from /usr/local/lib/libXcursor.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXcursor.so.1
Reading symbols from /usr/local/lib/libXcomposite.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXcomposite.so.1
Reading symbols from /usr/local/lib/libXdamage.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXdamage.so.1
Reading symbols from /usr/local/lib/libXfixes.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXfixes.so.3
Reading symbols from /usr/local/lib/libatk-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libatk-1.0.so.0
Reading symbols from /usr/local/lib/libgio-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgio-2.0.so.0
Reading symbols from /usr/local/lib/libpangoft2-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpangoft2-1.0.so.0
Reading symbols from /usr/local/lib/libpango-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpango-1.0.so.0
Reading symbols from /usr/local/lib/libgdk_pixbuf_xlib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk_pixbuf_xlib-2.0.so.0
Reading symbols from /usr/local/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgmodule-2.0.so.0
Reading symbols from /usr/local/lib/libgdk_pixbuf-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/local/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgobject-2.0.so.0
Reading symbols from /usr/local/lib/libgthread-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgthread-2.0.so.0
Reading symbols from /usr/local/lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libglib-2.0.so.0
Reading symbols from /usr/local/lib/libreoffice/program/libvclplug_genlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libvclplug_genlo.so
Reading symbols from /usr/local/lib/libSM.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libSM.so.6
Reading symbols from /usr/local/lib/libICE.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libICE.so.6
Reading symbols from /usr/local/lib/libintl.so.9...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libintl.so.9
Reading symbols from /usr/local/lib/compat/pkg/libpcre.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/compat/pkg/libpcre.so.1
Reading symbols from /usr/local/lib/compat/pkg/libpcre.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/compat/pkg/libpcre.so.0
Reading symbols from /usr/local/lib/libpcre.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpcre.so.3
Reading symbols from /libexec/ld-elf.so.1...(no debugging symbols found)...done.
Loaded symbols for /libexec/ld-elf.so.1
#0  0x2e4b7f98 in XFree@plt () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
[New Thread 2d404f00 (LWP 101229/soffice.bin)]
[New Thread 2d404300 (LWP 100508/soffice.bin)]
(gdb) where
#0  0x2e4b7f98 in XFree@plt () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
#1  0x2e4bfbc4 in SalDisplay::BestVisual () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
#2  0x2e4c07d0 in SalDisplay::initScreen () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
#3  0x2d86d005 in GtkSalDisplay::initScreen () from /usr/local/lib/libreoffice/program/libvclplug_gtklo.so
#4  0x2e4cc31e in vcl_sal::WMAdaptor::WMAdaptor () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
#5  0x2e4cd085 in vcl_sal::NetWMAdaptor::NetWMAdaptor () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
#6  0x2e4cc182 in vcl_sal::WMAdaptor::createWMAdaptor () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
#7  0x2e4c0461 in SalDisplay::Init () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
#8  0x2d86cd15 in GtkSalDisplay::GtkSalDisplay () from /usr/local/lib/libreoffice/program/libvclplug_gtklo.so
#9  0x2d86e5ed in GtkData::Init () from /usr/local/lib/libreoffice/program/libvclplug_gtklo.so
#10 0x2d86f666 in create_SalInstance () from /usr/local/lib/libreoffice/program/libvclplug_gtklo.so
#11 0x2b78450b in tryInstance () from /usr/local/lib/libreoffice/program/libvcllo.so
#12 0x2b78420a in CreateSalInstance () from /usr/local/lib/libreoffice/program/libvcllo.so
#13 0x2b477868 in InitVCL () from /usr/local/lib/libreoffice/program/libvcllo.so
#14 0x2b477607 in ImplSVMain () from /usr/local/lib/libreoffice/program/libvcllo.so
#15 0x2b47831c in SVMain () from /usr/local/lib/libreoffice/program/libvcllo.so
#16 0x28f4d2e5 in soffice_main () from /usr/local/lib/libreoffice/program/libmergedlo.so
#17 0x0804861b in main ()
(gdb) 


Heino
Comment 6 Mikhail T. 2013-02-21 18:12:51 UTC
What about the contents of /var/db/ports/libreoffice/options?

Also, judging by the stack, the crash is in initializing the GUI. Is there 
anything "unusual" about your X11 desktop? Low color-depth, for example? Some 
(common) fonts missing? Thanks,

    -mi
Comment 7 rotkap 2013-02-21 18:43:53 UTC
"Mikhail T." <mi+thun@aldan.algebra.com> wrote:

> What about the contents of /var/db/ports/libreoffice/options?




% cat /var/db/ports/libreoffice/options
# This file is auto-generated by 'make config'.
# Options for libreoffice-3.6.5_2
_OPTIONS_READ=libreoffice-3.6.5_2
_FILE_COMPLETE_OPTIONS_LIST=CPPUNIT CUPS DEBUG GNOME GTK2 GTK3 JAVA KDE4 MERGELIBS MMEDIA PGSQL SDK SVG SYSTRAY WEBDAV
OPTIONS_FILE_UNSET+=CPPUNIT
OPTIONS_FILE_SET+=CUPS
OPTIONS_FILE_UNSET+=DEBUG
OPTIONS_FILE_UNSET+=GNOME
OPTIONS_FILE_SET+=GTK2
OPTIONS_FILE_UNSET+=GTK3
OPTIONS_FILE_UNSET+=JAVA
OPTIONS_FILE_UNSET+=KDE4
OPTIONS_FILE_SET+=MERGELIBS
OPTIONS_FILE_UNSET+=MMEDIA
OPTIONS_FILE_UNSET+=PGSQL
OPTIONS_FILE_UNSET+=SDK
OPTIONS_FILE_SET+=SVG
OPTIONS_FILE_UNSET+=SYSTRAY
OPTIONS_FILE_UNSET+=WEBDAV   

> Also, judging by the stack, the crash is in initializing the GUI.


Srange!

What is the difference between libreoffice-3.6.5_2 vs
libreoffice-3.6.5_1 ?

> Is
> there anything "unusual" about your X11 desktop?


No

libreoffice 3.6.5_2 just crashes itself on start. Not more

> Low color-depth, for example? Some (common) fonts missing? Thanks,

No.

And libreoffice 3.6.5_1 works is fine.

:-|

Heino
Comment 8 Peter Jeremy 2013-02-23 05:06:58 UTC
I am seeing what appears to be the same problem on
FreeBSD aspire.rulingia.com 8.3-STABLE FreeBSD 8.3-STABLE #19: Sun Jan 13 17:55:03 EST 2013     root@builder.rulingia.com:/obj/usr/src/sys/aspire  i386
with LO compiled using clang-3.2.  The problem doesn't occur using identical
port versions on the same FreeBSD version running amd64.

My (edited) backtrace is:
This GDB was configured as "i386-marcel-freebsd"...(no debugging symbols found)...
Core was generated by `soffice.bin'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/local/lib/libreoffice/program/libmergedlo.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libreoffice/program/libmergedlo.so
...
Reading symbols from /usr/local/lib/libpcre.so.3...done.
Loaded symbols for /usr/local/lib/libpcre.so.3
Reading symbols from /libexec/ld-elf.so.1...done.
Loaded symbols for /libexec/ld-elf.so.1
#0  0x2ddcf0d0 in ?? () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
[New Thread 2d239140 (LWP 101110/soffice.bin)]
[New Thread 2d202140 (LWP 100530/initial thread)]
(gdb) where
#0  0x2ddcf0d0 in ?? () from /usr/local/lib/libreoffice/program/libvclplug_genlo.so
Invalid binary operation on numbers.
(gdb) info regi
eax            0x2d739300       762548992
ecx            0x0      0
edx            0x2d739300       762548992
ebx            0x0      0
esp            0xffffd028       0xffffd028
ebp            0xffffd1d8       0xffffd1d8
esi            0x2d739328       762549032
edi            0xffffd3d0       -11312
eip            0x2ddcf0d0       0x2ddcf0d0
eflags         0x10292  66194
cs             0x33     51
ss             0x3b     59
ds             0x3b     59
es             0x3b     59
fs             0x13     19
gs             0x1b     27
(gdb) x/2i 0x2ddcf0d0
0x2ddcf0d0 <_init+5772>:        jmp    *0x5a4(%ebx)
0x2ddcf0d6 <_init+5778>:        push   $0xb30
(gdb) 

[I've never seen that error before but it doesn't look promising]

So, it's a NULL pointer dereference - but I can't say much more.

-- 
Peter Jeremy
Comment 9 rotkap 2013-02-25 16:40:47 UTC
"Mikhail T." <mi+thun@aldan.algebra.com> wrote:

> What about the contents of /var/db/ports/libreoffice/options?
>
> Also, judging by the stack, the crash is in initializing the GUI. Is
> there anything "unusual" about your X11 desktop? Low color-depth, for
> example? Some (common) fonts missing? Thanks,
>
>     -mi

Hi,

I rebuilded world & kernel & rebuilded firefox & seamonkey browser
because of this:

http://lists.freebsd.org/pipermail/freebsd-ports/2013-February/081633.html


No idea, if there is a relation to libreoffce - but then I rebuilded libreoffce -
and everything is fine!



Heino
Comment 10 Tijl Coosemans freebsd_committer 2013-05-14 19:47:14 UTC
State Changed
From-To: open->closed

Submitter's problem has been resolved. The followup reports are 
duplicates of ports/176893.
Comment 11 dfilter service freebsd_committer 2013-05-22 22:53:07 UTC
Author: brooks
Date: Wed May 22 21:52:59 2013
New Revision: 318798
URL: http://svnweb.freebsd.org/changeset/ports/318798

Log:
  Apply several upstream svn revisions that have also been merged to the
  base version:
  
  r170353:
  Fix another SROA crasher, PR14601.
  
  This was a silly oversight, we weren't pruning allocas which were used
  by variable-length memory intrinsics from the set that could be widened
  and promoted as integers. Fix that.
  
  r175057:
  X86: Disable generation of rep;movsl when %esi is used as a base pointer.
  
  This happens when there is both stack realignment and a dynamic alloca in the
  function. If we overwrite %esi (rep;movsl uses fixed registers) we'll lose the
  base pointer and the next register spill will write into oblivion.
  
  Fixes PR15249 and unbreaks firefox on i386/freebsd. Mozilla uses dynamic allocas
  and freebsd a 4 byte stack alignment.
  
  r175360:
  MCParser: Reject .balign with non-pow2 alignments.
  
  GNU as rejects them and there are configure scripts in the wild that check if
  the assembler rejects ".align 3" to determine whether the alignment is in bytes
  or powers of two.
  
  r175962:
  X86: Disable cmov-memory patterns on subtargets without cmov.
  
  PR:		ports/176269, ports/176893, ports/176967
  Requested by:	tijl, dim, others

Added:
  head/devel/llvm/files/patch-svn-r170353   (contents, props changed)
  head/devel/llvm/files/patch-svn-r175057   (contents, props changed)
  head/devel/llvm/files/patch-svn-r175360   (contents, props changed)
  head/devel/llvm/files/patch-svn-r175962   (contents, props changed)
Modified:
  head/devel/llvm/Makefile

Modified: head/devel/llvm/Makefile
==============================================================================
--- head/devel/llvm/Makefile	Wed May 22 21:47:40 2013	(r318797)
+++ head/devel/llvm/Makefile	Wed May 22 21:52:59 2013	(r318798)
@@ -7,7 +7,7 @@
 
 PORTNAME=	llvm
 PORTVERSION=	3.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel lang
 MASTER_SITES=	http://llvm.org/releases/${PORTVERSION}/
 DISTNAME=	${PORTNAME}-${PORTVERSION}.src
@@ -23,7 +23,7 @@ BUILD_DEPENDS+=	bash:${PORTSDIR}/shells/
 BUILD_DEPENDS+=	f2c:${PORTSDIR}/lang/f2c
 .endif
 
-CONFLICTS=	llvm-devel-[23]* llvm29-* llvm31-*
+CONFLICTS=	llvm-devel-[23]* llvm31-3*
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
@@ -165,4 +165,16 @@ build-plist:
 	    ${SED} -e 's|${DOCSDIR}|%%DOCSDIR%%|' \
 	     -e 's|^|%%PORTDOCS%%@dirrm |' >> ${PLIST}
 
+.if make(svn-patch)
+.if !defined(PATCH_REV)
+.error svn-patch requires that PATCH_REV be set
+.endif
+_PATCH_FILE=${FILESDIR}/patch-svn-${PATCH_REV}
+_LLVM_BASE=http://llvm.org/svn/llvm-project/llvm/trunk
+svn-patch:
+	printf "$$%s$$\n" FreeBSD > ${_PATCH_FILE}
+	svn log -c ${PATCH_REV} ${_LLVM_BASE} >> ${_PATCH_FILE}
+	svn diff -c ${PATCH_REV} ${_LLVM_BASE} >> ${_PATCH_FILE}
+.endif
+
 .include <bsd.port.post.mk>

Added: head/devel/llvm/files/patch-svn-r170353
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/llvm/files/patch-svn-r170353	Wed May 22 21:52:59 2013	(r318798)
@@ -0,0 +1,46 @@
+$FreeBSD$
+------------------------------------------------------------------------
+r170353 | chandlerc | 2012-12-17 18:48:07 +0000 (Mon, 17 Dec 2012) | 5 lines
+
+Fix another SROA crasher, PR14601.
+
+This was a silly oversight, we weren't pruning allocas which were used
+by variable-length memory intrinsics from the set that could be widened
+and promoted as integers. Fix that.
+------------------------------------------------------------------------
+Index: lib/Transforms/Scalar/SROA.cpp
+===================================================================
+--- lib/Transforms/Scalar/SROA.cpp	(revision 170352)
++++ lib/Transforms/Scalar/SROA.cpp	(revision 170353)
+@@ -2150,7 +2150,7 @@
+           !canConvertValue(TD, ValueTy, AllocaTy))
+         return false;
+     } else if (MemIntrinsic *MI = dyn_cast<MemIntrinsic>(I->U->getUser())) {
+-      if (MI->isVolatile())
++      if (MI->isVolatile() || !isa<Constant>(MI->getLength()))
+         return false;
+       if (MemTransferInst *MTI = dyn_cast<MemTransferInst>(I->U->getUser())) {
+         const AllocaPartitioning::MemTransferOffsets &MTO
+Index: test/Transforms/SROA/basictest.ll
+===================================================================
+--- test/Transforms/SROA/basictest.ll	(revision 170352)
++++ test/Transforms/SROA/basictest.ll	(revision 170353)
+@@ -1208,3 +1208,18 @@
+   ret i32 %y
+ ; CHECK: ret i32
+ }
++
++define i32 @PR14601(i32 %x) {
++; Don't try to form a promotable integer alloca when there is a variable length
++; memory intrinsic.
++; CHECK: @PR14601
++
++entry:
++  %a = alloca i32
++; CHECK: alloca
++
++  %a.i8 = bitcast i32* %a to i8*
++  call void @llvm.memset.p0i8.i32(i8* %a.i8, i8 0, i32 %x, i32 1, i1 false)
++  %v = load i32* %a
++  ret i32 %v
++}

Added: head/devel/llvm/files/patch-svn-r175057
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/llvm/files/patch-svn-r175057	Wed May 22 21:52:59 2013	(r318798)
@@ -0,0 +1,55 @@
+$FreeBSD$
+------------------------------------------------------------------------
+r175057 | d0k | 2013-02-13 13:40:35 +0000 (Wed, 13 Feb 2013) | 8 lines
+
+X86: Disable generation of rep;movsl when %esi is used as a base pointer.
+
+This happens when there is both stack realignment and a dynamic alloca in the
+function. If we overwrite %esi (rep;movsl uses fixed registers) we'll lose the
+base pointer and the next register spill will write into oblivion.
+
+Fixes PR15249 and unbreaks firefox on i386/freebsd. Mozilla uses dynamic allocas
+and freebsd a 4 byte stack alignment.
+------------------------------------------------------------------------
+Index: lib/Target/X86/X86SelectionDAGInfo.cpp
+===================================================================
+--- lib/Target/X86/X86SelectionDAGInfo.cpp	(revision 175056)
++++ lib/Target/X86/X86SelectionDAGInfo.cpp	(revision 175057)
+@@ -202,6 +202,14 @@
+       SrcPtrInfo.getAddrSpace() >= 256)
+     return SDValue();
+ 
++  // ESI might be used as a base pointer, in that case we can't simply overwrite
++  // the register.  Fall back to generic code.
++  const X86RegisterInfo *TRI =
++      static_cast<const X86RegisterInfo *>(DAG.getTarget().getRegisterInfo());
++  if (TRI->hasBasePointer(DAG.getMachineFunction()) &&
++      TRI->getBaseRegister() == X86::ESI)
++    return SDValue();
++
+   MVT AVT;
+   if (Align & 1)
+     AVT = MVT::i8;
+Index: test/CodeGen/X86/stack-align-memcpy.ll
+===================================================================
+--- test/CodeGen/X86/stack-align-memcpy.ll	(revision 0)
++++ test/CodeGen/X86/stack-align-memcpy.ll	(revision 175057)
+@@ -0,0 +1,18 @@
++; RUN: llc < %s -force-align-stack -mtriple i386-apple-darwin -mcpu=i486 | FileCheck %s
++
++%struct.foo = type { [88 x i8] }
++
++; PR15249
++; We can't use rep;movsl here because it clobbers the base pointer in %esi.
++define void @test1(%struct.foo* nocapture %x, i32 %y) nounwind {
++  %dynalloc = alloca i8, i32 %y, align 1
++  call void @bar(i8* %dynalloc, %struct.foo* align 4 byval %x)
++  ret void
++
++; CHECK: test1:
++; CHECK: andl $-16, %esp
++; CHECK: movl %esp, %esi
++; CHECK-NOT: rep;movsl
++}
++
++declare void @bar(i8* nocapture, %struct.foo* align 4 byval) nounwind

Added: head/devel/llvm/files/patch-svn-r175360
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/llvm/files/patch-svn-r175360	Wed May 22 21:52:59 2013	(r318798)
@@ -0,0 +1,40 @@
+$FreeBSD$
+------------------------------------------------------------------------
+r175360 | d0k | 2013-02-16 15:00:16 +0000 (Sat, 16 Feb 2013) | 5 lines
+
+MCParser: Reject .balign with non-pow2 alignments.
+
+GNU as rejects them and there are configure scripts in the wild that check if
+the assembler rejects ".align 3" to determine whether the alignment is in bytes
+or powers of two.
+------------------------------------------------------------------------
+Index: lib/MC/MCParser/AsmParser.cpp
+===================================================================
+--- lib/MC/MCParser/AsmParser.cpp	(revision 175359)
++++ lib/MC/MCParser/AsmParser.cpp	(revision 175360)
+@@ -2456,6 +2456,10 @@
+     }
+ 
+     Alignment = 1ULL << Alignment;
++  } else {
++    // Reject alignments that aren't a power of two, for gas compatibility.
++    if (!isPowerOf2_64(Alignment))
++      Error(AlignmentLoc, "alignment must be a power of 2");
+   }
+ 
+   // Diagnose non-sensical max bytes to align.
+Index: test/MC/AsmParser/align_invalid.s
+===================================================================
+--- test/MC/AsmParser/align_invalid.s	(revision 0)
++++ test/MC/AsmParser/align_invalid.s	(revision 175360)
+@@ -0,0 +1,10 @@
++# RUN: llvm-mc -triple i386-linux-gnu < %s 2>&1 | FileCheck %s -check-prefix=ELF
++# RUN: llvm-mc -triple i386-apple-darwin < %s 2>&1 | FileCheck %s -check-prefix=DARWIN
++
++.align 3
++# ELF: error: alignment must be a power of 2
++# DARWIN-NOT: error
++
++.align 32
++# ELF-NOT: error
++# DARWIN: error: invalid alignment value

Added: head/devel/llvm/files/patch-svn-r175962
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/llvm/files/patch-svn-r175962	Wed May 22 21:52:59 2013	(r318798)
@@ -0,0 +1,49 @@
+$FreeBSD$
+------------------------------------------------------------------------
+r175962 | d0k | 2013-02-23 10:40:58 +0000 (Sat, 23 Feb 2013) | 3 lines
+
+X86: Disable cmov-memory patterns on subtargets without cmov.
+
+Fixes PR15115.
+------------------------------------------------------------------------
+Index: test/CodeGen/X86/no-cmov.ll
+===================================================================
+--- test/CodeGen/X86/no-cmov.ll	(revision 0)
++++ test/CodeGen/X86/no-cmov.ll	(revision 175962)
+@@ -0,0 +1,11 @@
++; RUN: llc -march=x86 -mcpu=i486 < %s | FileCheck %s
++
++define i32 @test1(i32 %g, i32* %j) {
++  %tobool = icmp eq i32 %g, 0
++  %cmp = load i32* %j, align 4
++  %retval.0 = select i1 %tobool, i32 1, i32 %cmp
++  ret i32 %retval.0
++
++; CHECK: test1:
++; CHECK-NOT: cmov
++}
+Index: lib/Target/X86/X86InstrCompiler.td
+===================================================================
+--- lib/Target/X86/X86InstrCompiler.td	(revision 175961)
++++ lib/Target/X86/X86InstrCompiler.td	(revision 175962)
+@@ -1081,12 +1081,14 @@
+ // inverted.
+ multiclass CMOVmr<PatLeaf InvertedCond, Instruction Inst16, Instruction Inst32,
+                   Instruction Inst64> {
+-  def : Pat<(X86cmov (loadi16 addr:$src1), GR16:$src2, InvertedCond, EFLAGS),
+-            (Inst16 GR16:$src2, addr:$src1)>;
+-  def : Pat<(X86cmov (loadi32 addr:$src1), GR32:$src2, InvertedCond, EFLAGS),
+-            (Inst32 GR32:$src2, addr:$src1)>;
+-  def : Pat<(X86cmov (loadi64 addr:$src1), GR64:$src2, InvertedCond, EFLAGS),
+-            (Inst64 GR64:$src2, addr:$src1)>;
++  let Predicates = [HasCMov] in {
++    def : Pat<(X86cmov (loadi16 addr:$src1), GR16:$src2, InvertedCond, EFLAGS),
++              (Inst16 GR16:$src2, addr:$src1)>;
++    def : Pat<(X86cmov (loadi32 addr:$src1), GR32:$src2, InvertedCond, EFLAGS),
++              (Inst32 GR32:$src2, addr:$src1)>;
++    def : Pat<(X86cmov (loadi64 addr:$src1), GR64:$src2, InvertedCond, EFLAGS),
++              (Inst64 GR64:$src2, addr:$src1)>;
++  }
+ }
+ 
+ defm : CMOVmr<X86_COND_B , CMOVAE16rm, CMOVAE32rm, CMOVAE64rm>;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"